package com.fcbox.bluetooth.bean

/**
 * @author luobin
 * @descripsiton 蓝牙 name  address
 * @date :2019/4/5
 */
class BlueToothBean {
    var name: String = ""
    var address: String = ""
    var connectState = 0

    constructor(name: String, mAddress: String) {
        this.name = name
        address = mAddress
    }

    fun isConnected():Boolean{
        return connectState==STATE_CONNECT_SUCCESS
    }

    constructor() {}

    override fun toString(): String {
        return "BlueToothBean{" +
                "name='" + name + '\'' +
                ", mAddress='" + address + '\'' +
                ", connectState=" + connectState +
                '}'
    }

    companion object {
        const val STATE_UN_CONNECT = 0
        const val STATE_CONNECTING = 1
        const val STATE_CONNECT_SUCCESS = 2
        const val STATE_CONNECT_FAILED = 3
    }
}