package com.fcbox.bluetooth.core
/**
 * @Description:
 * @Author: luobin
 * @Date:   2021/4/28
 * @License: Copyright Since 2020 Hive Box Technology. All rights reserved.
 * @Notice: This content is limited to the internal circulation of Hive Box, 
 * and it is prohibited to leak or used for other commercial purposes.
 */
object BlueToothConstant {
    /**
     * message
     */
    const val MESSAGE_STATE_CHANGE = 1
    const val MESSAGE_READ = 2
    const val MESSAGE_WRITE = 3
    const val MESSAGE_DEVICE_NAME = 4
    const val MESSAGE_TOAST = 5
    const val MESSAGE_CONNECTION_LOST = 6
    const val MESSAGE_UNABLE_CONNECT = 7
    const val MESSAGE_DISCONNECT = 8
    const val MESSAGE_BLUETOOTH_ON = 20
    const val MESSAGE_BLUETOOTH_OFF = 25

    /**
     * other
     */
    const val ACTION = "fc.bluetooth.action"
    const val MSG_DATA = "msg_data"
    const val DEVICE_NAME = "device_name"
    const val DEVICE_ADDRESS = "device_address"
}