package com.fcbox.printer.base

import com.fcbox.template.IPrintOpt


/**
 * @author 618713
 */
interface IPrintAdapter {
    /**
     * 对象转换为打印机指令
     */
    fun parse(opts: List<IPrintOpt> ): String

    /**
     * 把mm 的单位转化成点阵 x 单位值
     */
    fun adapterPix(mmIprintOpt: List<IPrintOpt>): List<IPrintOpt>

}