package com.fcbox.printer.device

import com.fcbox.template.BaseTemplate
import com.fcbox.template.IPrintTemplate

/**
 * @Description: 打印机相关特性
 * @Author: luobin
 * @Date:   2021/5/10
 * @License: Copyright Since 2020 Hive Box Technology. All rights reserved.
 * @Notice: This content is limited to the internal circulation of Hive Box, 
 * and it is prohibited to leak or used for other commercial purposes.
 */
abstract class PrinterDecorator(val template: BaseTemplate) : IPrintTemplate {

    abstract fun getTemplateBaseLeft(): Int
    abstract fun getTemplateBaseTop(): Int
    abstract fun getTemplateRectWidth(): Int
}