package com.fcbox.printer.util

import java.util.regex.Pattern
/**
 * @Description:
 * @Author: luobin
 * @Date:   2021/4/26
 * @License: Copyright Since 2020 Hive Box Technology. All rights reserved.
 * @Notice: This content is limited to the internal circulation of Hive Box, 
 * and it is prohibited to leak or used for other commercial purposes.
 */
object RegularUtil {
    /**
     * 手机号
     */
    const val REGEX_MOBILE = "^(1[3-9][0-9])\\d{8}$"

    /**
     * 验证是否为电话号码
     */
    @JvmStatic
    fun isMobileNO(mobiles: String?): Boolean {
        val p = Pattern.compile(REGEX_MOBILE)
        val m = p.matcher(mobiles)
        return m.matches()
    }
}