package com.fcbox.printer.base
/**
 * @Description: RunnableExceptionWrapper
 * @Author: luobin
 * @Date:   2021/4/26
 * @License: Copyright Since 2020 Hive Box Technology. All rights reserved.
 * @Notice: This content is limited to the internal circulation of Hive Box, 
 * and it is prohibited to leak or used for other commercial purposes.
 */
class RunnableExceptionWrapper (private val runnable: Runnable):Runnable{
    override fun run() {
        try {
            runnable.run()
        } catch (e: Exception) {
            e.printStackTrace()
        }
    }
}