//package com.fcbox.printer.util;
//
//import android.text.TextUtils;
//
//import java.util.ArrayList;
//import java.util.List;
//
//public class Line {
//
//    public static List<String> getMultiLineList(String text, int lineLimit, int maxLine) {
//        ArrayList<String> list = new ArrayList();
//        if (text == null || lineLimit <= 0 || maxLine <= 0) {
//            return list;
//        }
//        //单行
//        if (length(text) <= lineLimit * 2) {
//            list.add(text);
//            return list;
//        }
//
//        double realLine = length(text) / (lineLimit * 2.0);
//        if (realLine <= maxLine) {
//            //整行
//            if (length(text) % (lineLimit * 2) == 0) {
//                int line = (int) (length(text) / (lineLimit * 2.0));
//                int i = 0;
//                int index = 0;
//                String lineText = "";
//                while (i < line && index < text.length()) {
//                    String singleText = text.substring(index, ++index);
//                    lineText += singleText;
//                    // case 1
//                    if (length(lineText) <= lineLimit * 2) {
//                        if (length(lineText) == lineLimit * 2) {
//                            ++i;
//                            list.add(lineText);
//                            lineText = "";
//                        }
//                    } else { // case 2
//                        ++i;
//                        --index;
//                        String result = lineText.substring(0, lineText.length() - 1);
//                        lineText = "";
//                        list.add(result);
//                    }
//                }
//            } else {//非整行
//                int line = (int) (length(text) / (lineLimit * 2.0));
//                int i = 0;
//                int index = 0;
//                String lineText = "";
//
//                //先取整数部分的
//                while (i < line && index < text.length()) {
//                    String singleText = text.substring(index, ++index);
//                    lineText += singleText;
//                    if (length(lineText) <= lineLimit * 2) { // case 3
//                        if (length(lineText) == lineLimit * 2) {
//                            ++i;
//                            list.add(lineText);
//                            lineText = "";
//                        }
//                    } else { // case 4
//                        ++i;
//                        --index;
//                        String result = lineText.substring(0, lineText.length() - 1);
//                        lineText = "";
//                        list.add(result);
//                    }
//                }
//                //余下的
//                String singleText = text.substring(index);
//                list.add(singleText);
//            }
//        } else {
//            int i = 0;
//            int index = 0;
//            String lineText = "";
//            //取小值的行数
//            while (i < maxLine && index < text.length()) {
//                String singleText = text.substring(index, ++index);
//                lineText += singleText;
//                if (length(lineText) <= lineLimit * 2) { // case 5
//                    if (length(lineText) == lineLimit * 2) {
//                        ++i;
//                        list.add(lineText);
//                        lineText = "";
//                    }
//                } else { // case 6
//                    ++i;
//                    --index;
//                    String result = lineText.substring(0, lineText.length() - 1);
//                    lineText = "";
//                    list.add(result);
//                }
//            }
//            if (list.size() > 0) {
//                String lastLine = list.remove(list.size() - 1);
//                if (length(lastLine) > 3) {
//                    int l2 = length(lastLine.substring(lastLine.length() - 2));
//                    if (l2 >= 3) {
//                        lastLine = lastLine.substring(0, lastLine.length() - 2) + "...";
//                    } else {
//                        lastLine = lastLine.substring(0, lastLine.length() - 3) + "...";
//                    }
//                }
//                list.add(lastLine);
//            }
//        }
//        return list;
//    }
//
//
//    public static int length(String value) {
//        int valueLength = 0;
//        if (TextUtils.isEmpty(value)) {
//            return valueLength;
//        }
//
//        String chinese = "[\u4e00-\u9fa5]";
//        /* 获取字段值的长度，如果含中文字符，则每个中文字符长度为2，否则为1 */
//        for (int i = 0; i < value.length(); i++) {
//            /* 获取一个字符 */
//            String temp = value.substring(i, i + 1);
//            /* 判断是否为中文字符 */
//            if (temp.matches(chinese)) {
//                /* 中文字符长度为2 */
//                valueLength += 2;
//            } else {
//                /* 其他字符长度为1 */
//                valueLength += 1;
//            }
//        }
//        return valueLength;
//    }
//}
