package com.fcbox.printer.util

import android.text.TextUtils
import com.fcbox.printer.util.RegularUtil.isMobileNO

/**
 * @Description:
 * @Author: luobin
 * @Date:   2021/4/26
 * @License: Copyright Since 2020 Hive Box Technology. All rights reserved.
 * @Notice: This content is limited to the internal circulation of Hive Box, 
 * and it is prohibited to leak or used for other commercial purposes.
 */
object StringUtil {
    @JvmStatic
    fun getFormatMobile(mobile: String?): String {
        return if (TextUtils.isEmpty(mobile) || !isMobileNO(mobile)) {
            mobile?:""
        } else StringBuilder(mobile).insert(3, " ").insert(8, " ").toString()
    }
}